%define upstream_name    CPAN-DistnameInfo
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Extract distribution name and version from a distribution filename
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Many online services that are centered around CPAN attempt to associate
multiple uploads by extracting a distribution name from the filename of the
upload. For most distributions this is easy as they have used
ExtUtils::MakeMaker or Module::Build to create the distribution, which results
in a uniform name. But sadly not all uploads are created in this way.

CPAN::DistnameInfo uses heuristics that have been learnt by
http://search.cpan.org/ to extract the distribution name and version from
filenames and also report if the version is to be treated as a developer
release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{perl_vendorlib}/CPAN
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1024438
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 940475
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 751227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 683671
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509505
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 363606
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 70521
- update to 0.12

* Tue Jan 18 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 22229
- cleaning spec file
- imported package perl-CPAN-DistnameInfo


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 622678
- update to new version 0.11

* Sun Mar 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 528429
- update to 0.10

* Sat Dec 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.1
+ Revision: 473714
- update to 0.09

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 403027
- rebuild using %%perl_convert_version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 372882
- update to new version 0.08

* Wed Jul 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.0
+ Revision: 230637
- update to new version 0.07

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.06-1mdv2008.1
+ Revision: 131401
- kill re-definition of %%buildroot on Pixel's request


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.1
+ Revision: 88557
- Import perl-CPAN-DistnameInfo

* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.1
- first mdv release

